std::conditional< _Cond, _Iftrue, _Iffalse >(3cxx)

NAME
std::conditional< _Cond, _Iftrue, _Iffalse > - Define a member typedef type to one of two argument types.

SYNOPSIS

  Public Types

typedef _Iftrue type

Detailed Description

  template<bool _Cond, typename _Iftrue, typename _Iffalse>
struct std::conditional< _Cond, _Iftrue, _Iffalse >" Define a member typedef type to one of two argument types.

Definition at line 92 of file type_traits.

Author

Generated automatically by Doxygen for libstdc++ from the source code.